Joins are duplicated when duplicating layers

2016-02-15 05:36 AM - Frank Sokolic

Status: Closed

Priority: Severe/Regression

Assignee: Sebastian Dietrich

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 22289

Description

When a layer is duplicated any joins defined for that layer are also duplicated. This can be replicated as follows:

    1. Create a Join via Layer Properties > Joins

    2. Right-click on the Layer in the Table of Contents and select Duplicate from the context-sensitive menu

    3. Open Layer Properties > Joins for the duplicated layer and the join appears twice

Associated revisions

Revision 7431ec65 - 2016-02-19 11:50 PM - Sebastian Dietrich 

create vector joins only once for a duplicated layer (fixes #14298)

Revision 0c0d72bb - 2016-02-20 11:38 AM - Matthias Kuhn 

Merge pull request #2816 from SebDieBln/FixDuplicateJoins

[Bugfix] create vector joins only once for a duplicated layer (fixes #14298)

History

#1 - 2016-02-19 01:36 PM - Sebastian Dietrich

- OS version deleted (15.10 64 bit)

- Operating System deleted (Ubuntu)

Confirmed on current master (commit:1e80a984df3bebc77f52afb3689ec0a71a3e4c1c) on Windows.

#2 - 2016-02-19 02:59 PM - Sebastian Dietrich

- % Done changed from 0 to 100

- Pull Request or Patch supplied changed from No to Yes

- Assignee set to Sebastian Dietrich

- Status changed from Open to In Progress

Duplicating vector joins was introduced by

    -  commit:9ed180303c8f4172c9c6155e9cb226f79fc734b4 (#8243)

    -  and again by commit:57b5eb954ef988489456fcd14b236bb784d150a2 (#14191, which was not about joins at all)

See PR 2816 for a solution.
https://github.com/qgis/QGIS/pull/2816


#3 - 2016-02-20 02:38 AM - Sebastian Dietrich

- Target version set to Version 2.14

- Priority changed from Normal to Severe/Regression

Flagging this as Blocker because it is a regression from 2.12

#4 - 2016-02-20 02:39 AM - Anonymous

- Status changed from In Progress to Closed

Fixed in changeset commit:"0c0d72bb0356f078807eefcc02f81e2e4e6585bf".
